Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class BatchTest

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.BaseTest
            |
            +--org.apache.tools.ant.taskdefs.optional.junit.BatchTest

public final class BatchTest
extends BaseTest

Create JUnitTests from a list of files.

Author:
  Jeff Martin, Stefan Bodewig, Stephane Bailliez
See Also:
  `JUnitTest`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`destDir, fork, formatters, haltOnError, haltOnFail, ifProperty, unlessProperty`

Constructor Summary
`BatchTest(Project project)` create a new batchtest instance

Method Summary
`void` | `addFileSet(FileSet fs)` Add a new fileset instance to this batchtest.
`java.util.Enumeration` | `elements()` return all `JUnitTest` instances obtain by applying the fileset rules.
`static java.lang.String` | `javaToClass(java.lang.String filename)` convenient method to convert a pathname without extension to a fully qualified classname.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`addFormatter, getFork, getHaltonerror, getHaltonfailure, getTodir, setFork, setHaltonerror, setHaltonfailure, setIf, setTodir, setUnless`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchTest

    public BatchTest(Project project)

  create a new batchtest instance
  Parameters:
    `project` - the project it depends on.

Method Detail

### addFileSet

    public void addFileSet(FileSet fs)

  Add a new fileset instance to this batchtest. Whatever the fileset is, only filename that are `.java` or `.class` will be considered as 'candidates'.
  Parameters:
    `fs` - the new fileset containing the rules to get the testcases.

### elements

    public final java.util.Enumeration elements()

  return all `JUnitTest` instances obtain by applying the fileset rules.
  Returns:
    an enumeration of all elements of this batchtest that are a `JUnitTest` instance.
  See Also:
    `addTestsTo(Vector)`

### javaToClass

    public static final java.lang.String javaToClass(java.lang.String filename)

  convenient method to convert a pathname without extension to a fully qualified classname. For example `org/apache/Whatever` will be converted to `org.apache.Whatever`
  Parameters:
    `filename` - the filename to "convert" to a classname.
  Returns:
    the classname matching the filename.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.